XWD(1)

NAZWA
xwd - zrzuca obraz okna X

SKŁADNIA
xwd [-debug] [-help] [-nobdrs] [-out file] [-xy] [-frame] [-add value] [-root | -id wdid | -name wdname ] [-icmap] [-screen] [-silent] [-display host:dpy] [-version]

OPIS

Xwd to narzędzie do zrzucania zawartości okien X Window System. Xwd umożliwia użytkownikom X zapisywanie obrazów okien w specjalnie sformatowanych plikach zrzutu. Plik ten może być potem odczytywany przez różne narzędzia X w celu ponownego wyświetlenia, drukowania, edycji, formatowania, itp. Okno docelowe jest wybierane przez kliknięcie na nim wskaźnikiem myszy. Na początku zrzucania włączany jest dzwonek klawiatury, a po jego zakończeniu, dzwonek dzwoni dwukrotnie.

OPCJE

-debug
    Enable debug mode.

-d, -display host:dpy
    Argument ten umożliwia określenie, do którego serwera się podłączyć; zobacz X(1).

-help
    Drukuje informacje o użyciu.

-nobdrs
    Argument en mówi, że zrzut okna nie powinien zawierać pikseli, składających się na jego obramowanie. Jest to przydatne w sytuacjach, kiedy użytkownik życzy sobie włączenia zawartości okna do dokumentu jako ilustracji.

-out plik
    Ten argument umożliwia użytkownikowi podanie pliku wyjściowego zrzutu. Domyślnym punktem zrzutu jest standardowe wyjście.

-xy Ta opcja tyczy się tylko kolorowych wyświetlaczy. Wybiera format `XY' zrzucania, zamiast domyślnego `Z'.

-add wartość
    Ta opcja określa wartość ze znakiem, która będzie dodawana do każdego piksela.

-frame
    Ta opcja wskazuje, że podczas ręcznego wybierania okna, ramka menedżera okien powinna być załączona.

-root
    Ta opcja wskazuje, że do zrzutu powinno zostać wybrane okno główne, bez wymagania od użytkownika wybrania okna wskaźnikiem.

-id wdid
    Ta opcja wskazuje, że okno o podanym identyfikatorze zasobu powinno być wybrane do zrzutu, bez oczekiwania od użytkownika wybrania go wskaźnikiem.

-name wdname
    Ta opcja wskazuje, że okno o podanej właściwości WM_NAME powinno być wybrane do zrzutu, bez oczekiwania od użytkownika wybrania okna wskaźnikiem.

-icmap
    Normalnie mapa kolorów wybranego okna używana jest do uzyskania wartości RGB. Ta opcja wymusza zamiast tego użycie zainstalowanej mapy kolorów ekranu.

-screen
    Ta opcja wskazuje, że żądanie GetImage, użyte do uzyskania obrazu powinno być wykonane na raczej oknie głównym niż bezpośrednio na określonym oknie. W ten sposób możesz uzyskać kawałki innych okien, które zakrywają podane okno, a co ważniejsze, można złapać menu i inne elementy, które są niezależne od okien, lecz istnieją na podanym oknie.

-silent
    Działa cicho, tj. nie dzwoni dzwonkami podczas pracy.

-version
    This option indicates that xwd should print its version information and exit.

ŚRODOWISKO

DISPLAY
    Dla uzyskania domyślnego hosta i numeru wyświetlacza.

PLIKI

XWDFile.h
    Plik definicji formatu X Window Dump File.

ZOBACZ TAKŻE
xwud(1), X(7)

AUTORZY
Tony Della Fera, Digital Equipment Corp., MIT Project Athena
William F. Wyatt, Smithsonian Astrophysical Observatory

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.